<?php

namespace app\models;

use explosivebit\arangodb\ActiveRecord;

abstract class Document extends ActiveRecord
{
    public function attributes()
    {
        return ['_key', 'date'];
    }

    public function rules()
    {
        return [
            // [
            //     'date',
            //     'required',
            //     'message' => 'Заполните поле: {attribute}'
            // ]
        ];
    }

    public function attributeLabels()
    {
        return [
            'date' => 'Дата'
        ];
    }

    public function beforeSave($data)
    {
        if (parent::beforeSave($data)) {
            if ($this->isNewRecord) {
                $this->date = time();
            }

            return true;
        }

        return false;
    }

    public static function readAmount()
    {
        return static::find()->count();
    }
}
