function page_main() {
    if (document.getElementById('page_index') === null) {
        url = '/';

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: function (data, status) {
                if (data.main !== undefined) {
                    // Обновление документа
                    document.getElementsByTagName('main')[0].innerHTML = data.main;

                    // Реинициализация
                    reinitialization();
                }
                if (data.redirect !== undefined) {
                    // Перенаправление
                    history.pushState({}, document.title, data.redirect);
                }
                if (data._csrf !== undefined) {
                    // Обновление документа
                    $('meta[name=csrf-token]').prop("content", data._csrf);
                }
            },
            error: function (data, status) {
                if (data.responseJSON.main !== undefined) {
                    // Обновление документа
                    document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.main;

                    // Реинициализация
                    reinitialization();
                }
                if (data.responseJSON.redirect !== undefined) {
                    // Перенаправление
                    history.pushState({}, document.title, data.responseJSON.redirect);
                }
                if (data.responseJSON._csrf !== undefined) {
                    // Обновление документа
                    $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
                }
            }
        });
    }

    return false;
}

function page_profile() {
    url = '/profile'

    $.ajax({
        url: url,
        type: 'post',
        dataType: 'json',
        data: { '_csrf': yii.getCsrfToken() },
        success: function (data, status) {
            if (data.main !== undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.main;

                // Реинициализация
                reinitialization();
            }
            if (data.redirect !== undefined) {
                // Перенаправление
                history.pushState({}, document.title, data.redirect);
            }
            if (data._csrf !== undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }
        },
        error: function (data, status) {
            if (data.responseJSON.main !== undefined) {
                // Обновление документа
                document.getElementsByTagName('main')[0].innerHTML = data.responseJSON.main;
                // Реинициализация
                reinitialization();
            }
            if (data.responseJSON.redirect !== undefined) {
                // Перенаправление
                history.pushState({}, document.title, data.responseJSON.redirect);
            }
            if (data.responseJSON._csrf !== undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
            }
        }
    });

    return false;
}

// $('#profile_button').on('show.bs.dropdown', function () {
//     alert('Пизда');
//     return false;
// })

// document.getElementById('profile_button').dropdown({
//         trigger: "hover"

// });

// Popper.createPopper(button, tooltip);